### Enumeration

# Eog ZoomMode

#### Declaration

    enum Eog.ZoomMode

#### Description [src]

Used to determine the zooming behaviour of an `EogScrollView`.

#### Members

`EOG_ZOOM_MODE_FREE`

  Use the currently set zoom factor to display the image (see eog_scroll_view_set_zoom()).

  - Value: `0`
  - Available since: 3.0
`EOG_ZOOM_MODE_SHRINK_TO_FIT`

  If an image is to large for the window, zoom out until the image is fully visible. This will never zoom in on smaller images.

  - Value: `1`
  - Available since: 3.0